Subject: Re: [bug#66557] [PATCH] home: services: Add goimapnotify service.

From: Nils Landt <[email-masked]>
Date: Sun, 3 Dec 2023 16:56:40 +0100 (CET)

Hey Bruno,

I've just pushed a new version, please have another look.

> Bruno Victal <[email-masked]> hat am 29.11.2023 18:20 CET geschrieben:
> 
>  
> Hi Nils,
> 
> On 2023-11-26 11:14, Nils Landt wrote:
> > Bruno:
> >> This isn't needed, fields whose maybe-values are unset don't call the
> >> serializing procedures.

Took me a while to understand I needed to prefix the maybe-values. This then generates (goimapnotify-serialize-maybe-boolean).

> you will need to make use of the lower-level transducers in
> (gnu services configuration).
> The fstrim-service-type in (gnu services linux) provides a simple
> example of its use though for your case you might be looking at
> something like:

Thanks, I was able to get it work with a minor change! Don't really understand transducers yet, but I've starting reading up on them.

Nils